## ncbi-tools6 6.0

=== core_cpp/Makefile ===

include ../../makefile.in

LIB = ../libpmncbi.a

OBJS =  ncbibase.o \
	ncbilist.o \
	ncbistr.o \
	ncbiio.o

all: $(LIB)

#actually, we don't need ranlib under Solaris, but...
$(LIB): $(OBJS)
	@rm -f $@
	ar q $@ $(OBJS)
	ranlib $@

clean:
	rm -f *.o $(LIB) core *~

install: $(LIB)

purify: $(LIB)

debug: $(LIB)

.KEEP_STATE:

=== network/socks/socks.cstc.4.2/Makefile ===
#DEBUG=-DDEBUG

SHELL=/bin/sh

#SOCKS=-DSOCKS
# or
SOCKS=-Dconnect=Rconnect -Dgetsockname=Rgetsockname -Dlisten=Rlisten -Daccept=Raccept -Drcmd=Rrcmd -Dbind=Rbind -Dselect=Rselect
# If the second definition of SOCKS is used, you MUST also
# define SHORTENED_RBIND

# If your system doesn't have PWD defined, define it here:
#PWD=/projects/insg/socks.cstc.4.2beta
# It should be this current directory.

# If your system has getcwd() but no getwd(), uncomment the next line:
#GETCWD=-DGETCWD

# Define FASCIST if you want ftp (rftp) to log names of all files transferred
#FASCIST=-DFASCIST

# Define RCMD and SUPPORT_RCMD if you want to support Rrcmd, which is required
# for SOCKSified rlogin, rsh, and rcp.
#RCMD=Rrcmd.o
#SUPPORT_RCMD=-DSUPPORT_RCMD

# Define FOR_PS if your system is not SYSV and you want to have the
# command 'ps' show some details of sockd's activity.
#FOR_PS=-DFOR_PS

# Define SHORTENED_RBIND to make Rbind() take exactly the same
# argument list as the regular bind(), i.e., without the additional
# 'remhost' argument.
SHORTENED_RBIND=-DSHORTENED_RBIND

# optimization flag for cc
OPTIMIZE=-g
#OPTIMIZE=-O
# Be careful with the OPTIMIZE flag. SunPro's SC2.0.1, for example, is
# knwon to produce incorrect code when -O is used.

# Define NO_CLIENT_LOG if you don't want SOCKS clients to produce
# log entries of its activities.
#NO_CLIENT_LOG= -Dopenlog= -Dsyslog=

# Define DNS_THROUGH_NIS if your SOCKS client hosts let their NIS
# servers do the DNS loopkup for them. You are in this category if
# your client hosts has no /etc/resolv.conf but can resolve all
# internal and external names.
#DNS_THROUGH_NIS=-DDNS_THROUGH_NIS

# Directory into which to install the man pages
MAN_DEST_DIR = /usr/local/man

# Directory into which the SOCKS server should be installed
SERVER_BIN_DIR = /usr/etc

# Directory into the client programs should be installed
CLIENTS_BIN_DIR = /usr/local/bin

# SunOS 4.1.x should use
CC=cc
#CC=gcc
OTHER_CFLAGS= $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT $(MONITOR) $(DEBUG)
RANLIB=ranlib
OS=sun4.1
INSTALL=install
GETPASS=getpass.o
RESOLV_LIB=-lresolv
# ... or 
#RESOLV_LIB=

# IRIX should use
#CC=cc
#RESOLV_LIB=-lsun
#OTHER_CFLAGS=-cckr $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT
#RANLIB=/bin/true
#OS=irix4
#INSTALL=bsdinstall
#GETPASS=getpass.o

# Ultrix 4.0 should use
#CC=cc
#OTHER_CFLAGS= $(GETCWD) $(SHORTENED_RBIND) $(FASCIST)
#RANLIB=ranlib
#OS=ultrix4.0
#INSTALL=install
#GETPASS=getpass.o
#RESOLV_LIB=-lresolv

# HP-UX should use
#CC=cc
#OTHER_CFLAGS= $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT
#RANLIB=/bin/true
#OS=hpux9
#INSTALL=install
#GETPASS=
#RESOLV_LIB=

# RS/6000 AIX 3.2 should use
#CC=cc
#RESOLV_LIB=-lbsd
#OTHER_CFLAGS=-D_BSD -D_NONSTD_TYPES -D_NO_PROTO -DAIX $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT
#RANLIB=ranlib
#OS=aix3.2
#INSTALL=install
#GETPASS=

# PS/2 AIX 1.2 should use
#CC=cc
#RESOLV_LIB=-lbsd
#OTHER_CFLAGS=-D_BSD -D_NONSTD_TYPES -D_NO_PROTO -DAIX $(GETCWD) $(FASCIST) -DCOMPAT -I/usr/local/include -DAIX_PS2
#RANLIB=ranlib
#OS=aix_ps2
#INSTALL=install
#GETPASS=

# SOLARIS should use
#CC=cc
#RESOLV_LIB=-lresolv -lnsl -lsocket
#OTHER_CFLAGS=-DSOLARIS -Dindex=strchr -Drindex=strrchr $(SHORTENED_RBIND) -DUSE_DIRENT $(GETCWD) $(FASCIST) -DCOMPAT
#RANLIB=/bin/true
#OS=solaris2.2
#INSTALL=install
#GETPASS=getpass.o

# Interactive Systems Unix should use
#OTHER_CFLAGS = -DISC $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT
#CC=cc
#RANLIB=ranlib
#OS=sun4.1
#INSTALL=install
#GETPASS=
#RESOLV_LIB=-lresolv

# netBSD should use
#OTHER_CFLAGS = $(GETCWD) $(SHORTENED_RBIND) $(FASCIST)
#CC=cc
#RANLIB=ranlib
#OS=netbsd0.9
#INSTALL=install
#GETPASS=
#RESOLV_LIB=

# LINUX should use
#CC=gcc
#RESOLV_LIB=
#OTHER_CFLAGS=-traditional -DLINUX  $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT
#OS=linux
#INSTALL=install
#GETPASS=getpass.o

# UnixWare should use
#CC=cc
#RESOLV_LIB=-lresolv -lnsl -lsocket
#OTHER_CFLAGS= -DSOLARIS -Dindex=strchr -Drindex=strrchr -DUSE_DIRENT $(SHORTENED_RBIND) $(GETCWD) $(FASCIST) -DCOMPAT
#RANLIB=/bin/true
#INSTALL=/usr/ucb/install
#OS=UnixWare
#GETPASS=getpass.o

# Alpha OSF should use:
#CC=cc
#RESOLV_LIB=-lresolv
#OS=alphaOSF
#OTHER_CFLAGS= $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT
#RANLIB=ranlib
#INSTALL=install
#GETPASS=

# SCO UNIX/ODT should use:
#CC=cc
#OS=sco
#RESOLV_LIB=-lsocket
#OTHER_CFLAGS= $(GETCWD) $(FASCIST) -DSCO -DSVR3 -Dindex=strchr -Drindex=strrc $(SHORTENED_RBIND) -DUSE_DIRENT
#RANLIB=/bin/true
#GETPASS=
#PWD=/test/chris/socks.cstc.4.1

# BSD/386 should use:
#CC=cc
#OS=bsdi
#RESOLV_LIB=
#OTHER_CFLAGS= $(GETCWD) $(SHORTENED_RBIND) $(FASCIST)
#RANLIB=ranlib
#GETPASS=

# NextStep 3.2, SOCKS server and library only
# (William Lewis, wiml@omnigroup.com)
#CC=cc
#OTHER_CFLAGS= $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT $(MONITOR) $(DEBUG) -Dstrdup=NXCopyStringBuffer
#RANLIB=ranlib
#GETPASS=getpass.o
#RESOLV_LIB=-lresolv
# ... or 
#RESOLV_LIB=

# >>>---------------- Others:

# Define RESOLV_LIB if your system doesn't search resolver
# library automatically.
# Leave it undefined otherwise.
#RESOLV_LIB=-lresolv
# If your compiler or loader complains about _res_init being
# an undefined symbol, then you must define RESOLV_LIB.

#RANLIB=ranlib
# Systems (e.g., IRIX) that do not need (and thus don't have) ranlib should use
#RANLIB=/bin/true

# Comment out defintion of GETPASS if your system has problems
# compiling it, the version built into your system will then be used.
# The getpass() function in most Unix systems truncates passwords
# after 8 characters; the version provided here does not.
# This only affects ftp with non-anonymous login, and telnet.
# Ftp with anonymous login allows long passwords regardless
# of whether GETPASS is defined or not.
#GETPASS=getpass.o

# The 'install' command is assumed to be the BSD variety (using -m to
# set the file mode). If the default 'install' on your system doesn't
# do that, you have to either specify an alternative one in the line below
# (e.g., /usr/ucb/install) or modify the other Makefile.
#INSTALL= install

# Macro OS is used in making rtelnet. See the list near top of
# rtelnet/telnet/Makefile for available choices.

# Remember to include -Dindex=strchr -Drindex=strrchr in OTHER_CFLAGS if
# you don't have index() and rindex() (Sys-V camp)

# <<<----------------

# The Internet Whois server; used to be nic.ddn.mil.
WHOIS_SERVER= WHOIS_SERVER=-DWHOIS_SERVER\'=\"rs.internic.net\"\'

SOCKS_LIB=$(PWD)/lib/libsocks.a
IDENT_LIB=$(PWD)/libident/libident.a

#==============================================================================

all: LIB LIBIDENT server clients

server: LIB LIBIDENT
	(cd sockd; $(MAKE) CC="$(CC)" RESOLV_LIB="$(RESOLV_LIB)" \
		OPTIMIZE="$(OPTIMIZE)" \
		SOCKS_LIB="$(SOCKS_LIB)" SUPPORT_RCMD="$(SUPPORT_RCMD)" \
		IDENT_LIB="$(IDENT_LIB)" \
		OTHER_CFLAGS="$(OTHER_CFLAGS) $(FOR_PS)")

clients: RFINGER RFTP RTELNET

LIB:
	(cd lib; $(MAKE) CC="$(CC)" GETPASS="$(GETPASS)" \
		OPTIMIZE="$(OPTIMIZE)" \
		RCMD="$(RCMD)" SUPPORT_RCMD="$(SUPPORT_RCMD)" \
		DNS_THROUGH_NIS="$(DNS_THROUGH_NIS)" \
		OTHER_CFLAGS="$(OTHER_CFLAGS) $(NO_CLIENT_LOG)" \
		RANLIB="$(RANLIB)")

LIBIDENT:
	(cd libident; $(MAKE) CC="$(CC)" OTHER_CFLAGS="$(OTHER_CFLAGS)" \
		OPTIMIZE="$(OPTIMIZE)" RANLIB="$(RANLIB)")

# This also build rwhois
RFINGER: LIB
	(cd rfinger; $(MAKE) CC="$(CC)" $(WHOIS_SERVER) \
		OPTIMIZE="$(OPTIMIZE)" SOCKS="$(SOCKS)" \
		RESOLV_LIB="$(RESOLV_LIB)" SOCKS_LIB="$(SOCKS_LIB)" \
		OTHER_CFLAGS="$(OTHER_CFLAGS) $(NO_CLIENT_LOG)")

RTELNET: LIB
	(cd rtelnet; $(MAKE) CC="$(CC)" OS="$(OS)" SOCKS_LIB="$(SOCKS_LIB)" \
		OPTIMIZE="$(OPTIMIZE)" SOCKS="$(SOCKS)" \
		RESOLV_LIB="$(RESOLV_LIB)" \
		OTHER_CFLAGS="$(OTHER_CFLAGS) $(NO_CLIENT_LOG)")

RFTP: LIB
	(cd rftp; $(MAKE) CC="$(CC)" SOCKS_LIB="$(SOCKS_LIB)" \
		OPTIMIZE="$(OPTIMIZE)" SOCKS="$(SOCKS)" \
		RESOLV_LIB="$(RESOLV_LIB)" \
		OTHER_CFLAGS="$(OTHER_CFLAGS) $(NO_CLIENT_LOG)")

install.server:
	(cd sockd; $(MAKE) INSTALL="$(INSTALL)" MAN_DEST_DIR="$(MAN_DEST_DIR)" \
		CC="$(CC)" RESOLV_LIB="$(RESOLV_LIB)" \
		OPTIMIZE="$(OPTIMIZE)" \
		SOCKS_LIB="$(SOCKS_LIB)" SUPPORT_RCMD="$(SUPPORT_RCMD)" \
		IDENT_LIB="$(IDENT_LIB)" \
		OTHER_CFLAGS="$(OTHER_CFLAGS) $(FOR_PS)" \
		SERVER_BIN_DIR="$(SERVER_BIN_DIR)" install install.man)

install.clients: install.man
	for i in rfinger rftp rtelnet; do \
		(cd $$i ; $(MAKE) INSTALL="$(INSTALL)" \
			CC="$(CC)" OS="$(OS)" SOCKS_LIB="$(SOCKS_LIB)" \
			OPTIMIZE="$(OPTIMIZE)" SOCKS="$(SOCKS)" \
			RCMD="$(RCMD)" SUPPORT_RCMD="$(SUPPORT_RCMD)" \
			DNS_THROUGH_NIS="$(DNS_THROUGH_NIS)" \
			RESOLV_LIB="$(RESOLV_LIB)" \
			OTHER_CFLAGS="$(OTHER_CFLAGS) $(NO_CLIENT_LOG)" \
			CLIENTS_BIN_DIR="$(CLIENTS_BIN_DIR)" \
			install) done
install.man:
	(cd doc; $(MAKE) INSTALL="$(INSTALL)" MAN_DEST_DIR="$(MAN_DEST_DIR)" \
		install)

clean:
	for i in lib libident sockd rfinger rftp rtelnet ; do \
		( cd $$i ; $(MAKE) clean) done

=== network/taxon1/server/Makefile ===
#
#  Makefile for taxon program
#

include $(NCBI)/ncbi.mk
CODEGEN=asncode
ASNTOOL=asntool

PURIFY=/am/purify/purify
CC= $(NCBI_CC) -g

#

INCLUDES=-I$(NCBI_INCDIR)

LIBS1=-lncbitax -lncbiobj -lnetcli -lncbi $(NCBI_OTHERLIBS)
LIBS=-lncbitax1 -lncbiobj -lnetcli -lncbi -ldl $(NCBI_OTHERLIBS) 
LIBDIRS= -L$(NCBI_ALTLIB)

CFLAGS=-g $(INCLUDES)

all : taxserv_fs

# sources and objects for Taxonomy retrieval

taxprocs.o : taxprocs.c
	$(CC) -c $(CFLAGS) -DWARN_ON_FAILURE=1 -o taxprocs.o $(INCLUDES) taxprocs.c

taxsmain.o : taxsmain.c
	$(CC) -c $(CFLAGS) -DWARN_ON_FAILURE=1 -o taxsmain.o $(INCLUDES) taxsmain.c

taxserv_fs: taxprocs.o taxsmain.o
	$(CC) -o taxserv_fs taxsmain.o taxprocs.o $(LIBDIRS) $(LIBS)


asntaxon.l: taxon.asn
	rm -f asntaxon.l*
	$(ASNTOOL) -m taxon.asn -l asntaxon.h
	-mv asntaxon.l* asntaxon.l
	mv asntaxon.h asntaxonstat.h

asntaxon.h: taxon.asn
	$(ASNTOOL) -m taxon.asn -o asntaxon.h

clean:
	rm -f objtaxon.c objtaxon.h asntaxon.l asntaxon.h *.o objtaxonerr objtaxonout

=== network/socks/socks.cstc.4.2/sockd/Makefile ===
#CC=gcc

SOCKS_LIB=../lib/libsocks.a
IDENT_LIB=../libident/libident.a

# Directory into which sockd and test_sockd_conf programs
# will be installed:
SERVER_BIN_DIR=/usr/etc

# Directory into which the man page files of sockd and test_sockd_conf
# will be installed:
MAN_DEST_DIR=/usr/local/man

INC=../include/socks.h

# Uncomment next line to support Rbind() without the extra 'remhost' arg.
SHORTENED_RBIND=-DSHORTENED_RBIND

# Remember to include -Dindex=strchr in OTHER_CFLAGS if
# you don't have index() (Sys-V camp)

# Define FOR_PS if your system is not SYSV and you want to have the
# command 'ps' show some details of sockd's activity.
FOR_PS=-DFOR_PS

# SunOS should use
#RESOLV_LIB=-lresolv
OTHER_CFLAGS=$(SHORTENED_RBIND)

# IRIX should use
#OTHER_CFLAGS=-cckr $(SHORTENED_RBIND)
#RESOLV_LIB=-lsun

# HPUX should use
#OTHER_CFLAGS=-Ac $(SHORTENED_RBIND)

# AIX should use
#RESOLV_LIB=-lbsd
#OTHER_CFLAGS=-D_BSD -D_NONSTD_TYPES -D_NO_PROTO -DAIX $(SHORTENED_RBIND)

# SOLARIS should use
#RESOLV_LIB=-lresolv -lnsl -lsocket
#OTHER_CFLAGS=-DSOLARIS -Dindex=strchr -Drindex=strrchr -DUSE_DIRENT  $(SHORTENED_RBIND)

# Interactive Systems Unix should use
# OTHER_CFLAGS = -DISC $(SHORTENED_RBIND)

# LINUX should use
#CC=gcc
#RESOLV_LIB=
#OTHER_CFLAGS=-traditional -DLINUX  $(SHORTENED_RBIND)

# UnixWare should use
#RESOLV_LIB=-lresolv -lnsl -lsocket
#OTHER_CFLAGS= -DSOLARIS -Dindex=strchr -Drindex=strrchr -DUSE_DIRENT $(SHORTENED_RBIND)
#RANLIB=/bin/true
#INSTALL=bsdinstall

# define SUPPORT_RCMD to build a server that can handle SOCKSified
# rlogin, rsh, and rcp.
SUPPORT_RCMD=-DSUPPORT_RCMD

OPTIMIZE=-g
CFLAGS = -I../include -I../libident ${OPTIMIZE} ${OTHER_CFLAGS} ${SUPPORT_RCMD}

# The 'install' command is assumed to be the BSD variety (using -m to
# set the file mode). If the default 'install' on your system doesn't
# do that, you have to either specify an alternative one in the line below
# (e.g., /usr/ucb/install) or modify the install instructions.
INSTALL= install

#==================================================

SRC=sockd.c
OBJ=sockd.o
PROG=sockd test_sockd_conf flip_cfmasks

all: echocwd $(PROG)

sockd: $(SRC) $(INC) $(SOCKS_LIB) $(IDENT_LIB)
	$(CC) $(CFLAGS) -o $@ $(SRC) $(SOCKS_LIB) $(IDENT_LIB) $(RESOLV_LIB)

test_sockd_conf: $(SRC) $(INC) $(SOCKS_LIB)
	$(CC) $(CFLAGS) -DTEST -o $@ $(SRC) $(SOCKS_LIB) $(RESOLV_LIB)

flip_cfmasks: flip_cfmasks.c $(INC) $(SOCKS_LIB)
	$(CC) $(CFLAGS) -o $@ flip_cfmasks.c $(SOCKS_LIB) $(RESOLV_LIB)

install: echocwd sockd test_sockd_conf
	$(INSTALL) -m 111 sockd $(SERVER_BIN_DIR)
	$(INSTALL) -m 111 test_sockd_conf $(SERVER_BIN_DIR)
	$(INSTALL) -m 111 flip_cfmasks $(SERVER_BIN_DIR)

install.man: echocwd
	$(INSTALL) -m 444 ../doc/sockd.8 $(MAN_DEST_DIR)/man8
	$(INSTALL) -m 444 ../doc/test_sockd_conf.8 $(MAN_DEST_DIR)/man8
	$(INSTALL) -m 444 ../doc/sockd.conf.5 $(MAN_DEST_DIR)/man5
	$(INSTALL) -m 444 ../doc/sockd.route.5 $(MAN_DEST_DIR)/man5
	

clean: echocwd
	rm -f $(OBJ) $(PROG) core

echocwd:
	@pwd

## ncbi-tools6 6.1.20041020

=== network/wwwblast/Src/Makefile ===
# Set the NCBI variable to your local path to the NCBI toolkit!
#NCBI = 

NCBI_INCDIR = $(NCBI)/include
NCBI_ALTLIB = $(NCBI)/altlib
NCBI_LIBDIR = $(NCBI)/lib

NCBI_OTHERLIBS = -lm
THREAD_LIBS = -lpthread

# Uncomment the line(s) relevant to your platform below:

# Solaris Intel 
#NCBI_OTHERLIBS += -lposix4 -lresolv -lsocket -lrpcsvc -lnsl -lgen
# Solaris Sparc
#NCBI_OTHERLIBS += -lposix4 -lresolv -lsocket -lrpcsvc -lnsl
# MacOS
#NCBI_OTHERLIBS = -lc
#THREAD_LIBS =

#
CC=cc 

BLAST_LIBS = -lncbitool -lncbiobj -lncbi $(NCBI_OTHERLIBS)
# For standalone model
ALL_LIBS = -lncbidesk -lvibgif $(BLAST_LIBS) $(THREAD_LIBS)
# For NCBI Client-server model
ALL_LIBS_CS = -lncbitxc2 -lncbiid1 -lnetblast -lnetcli $(ALL_LIBS)
BL2_LIBS = $(BLAST_LIBS)
# For Blast 2 sequences client/server
BL2_LIBS_CS = -lncbiid1 -lnetcli $(BLAST_LIBS)

BL2_DEFINE = -DBL2SEQ_STANDALONE

# For NCBI compilation with signal handling
# The following 2 lines are for internal NCBI BLAST 2 sequences only.
# Comment out for standalone.
#BL2_OBJ = qblastnet.o objBlobj.o $(LIBS)/ncbithr.o
#BL2_LIBS_CS = -lncbiid1 -lnetblast -lnetcli $(BLAST_LIBS) $(THREAD_LIBS)

#DEBUG compilation
LIBS = $(NCBI_ALTLIB)
DEBUG_FLAG = -g

#OPTIMIZED compilation
LIBS = $(NCBI_LIBDIR)
DEBUG_FLAG = -O
# For MacOS, use the following line:
#DEBUG_FLAG = -O2 -g

OBJ_FILES = wwwbutl.c $(LIBS)/ncbithr.o

#  Defines: 
#  NCBI_CLIENT_SERVER - full NCBI Client/server including BLAST search
#  NCBI_ENTREZ_CLIENT - Client server for gi/accession lookups

INCDIR = -I. -I$(NCBI_INCDIR)

# Additional include path for internal NCBI BLAST 2 sequences only.
# Comment out for standalone
#BLASTQUE = /home/dondosha/BlastQueue
#INCDIR = -I$(BLASTQUE)/Client -I$(BLASTQUE)/ASN.1 -I. -I$(NCBI_INCDIR)

CFLAGS = -c $(DEBUG_FLAG) $(INCDIR)
#For MacOS, add the following line:
#CFLAGS += -no-cpp-precomp -Wno-long-double
 
# For standalone model
LDFLAGS = $(DEBUG_FLAG) $(INCDIR)
#For MacOS, add the following line:
#LDFLAGS += -framework CoreServices

# Use client/server for gi/accession lookups
LDFLAGS_CS = $(DEBUG_FLAG) $(INCDIR) -DNCBI_ENTREZ_CLIENT
#For MacOS, add the following line:
#LDFLAGS_CS += -framework CoreServices 

# For full NCBI Client-server model
#CFLAGS += -DNCBI_CLIENT_SERVER
#LDFLAGS_CS += -DNCBI_CLIENT_SERVER

.c.o:   Makefile
	$(CC) $(CFLAGS) $<

all: psiblast.REAL psiblast_cs.REAL  blast.REAL blast_cs.REAL nph-viewgif.cgi wblast2.REAL wblast2_cs.REAL bl2bag.cgi 

blast.REAL: wwwblast.c $(OBJ_FILES) Makefile
	$(CC) $(LDFLAGS) wwwblast.c $(OBJ_FILES) \
	-L$(LIBS) $(ALL_LIBS) -o ./blast.REAL
	mv ./blast.REAL ..
blast_cs.REAL: wwwblast.c $(OBJ_FILES) Makefile
	$(CC) $(LDFLAGS_CS) wwwblast.c $(OBJ_FILES) \
	-L$(LIBS) $(ALL_LIBS_CS) -o ./blast_cs.REAL
	mv ./blast_cs.REAL ..
psiblast.REAL: psiblast.o $(OBJ_FILES) Makefile
	$(CC) $(LDFLAGS) psiblast.o $(OBJ_FILES) \
	-L$(LIBS) $(ALL_LIBS) -o ./psiblast.REAL
	mv ./psiblast.REAL ../psiblast.REAL
psiblast_cs.REAL: psiblast.o $(OBJ_FILES) Makefile
	$(CC) $(LDFLAGS_CS) psiblast.o $(OBJ_FILES) \
	-L$(LIBS) $(ALL_LIBS_CS) -o ./psiblast_cs.REAL
	mv ./psiblast_cs.REAL ../psiblast_cs.REAL
nph-viewgif.cgi: viewgif.o
	$(CC) viewgif.o -o nph-viewgif.cgi
	mv nph-viewgif.cgi ..
wblast2.REAL : wblast2.c 
	$(CC) $(LDFLAGS) $(BL2_DEFINE) wblast2.c \
	-L$(LIBS) $(BL2_LIBS) -o ./wblast2.REAL
	mv wblast2.REAL ..
wblast2_cs.REAL : wblast2.c $(BL2_OBJ)
	$(CC) $(LDFLAGS_CS) $(BL2_DEFINE) wblast2.c $(BL2_OBJ) \
	-L$(LIBS) $(BL2_LIBS_CS) -o ./wblast2_cs.REAL
	mv wblast2_cs.REAL ..
bl2bag.cgi : bl2bag.o
	$(CC) $(LDFLAGS) bl2bag.o -L$(LIBS) -lncbi -lm -o bl2bag.cgi
	mv bl2bag.cgi ..

xml:
	cd XML && make

clean: 
	rm *.o

## ncbi-tools6 6.1.20070822

=== network/wwwblast/Src/Makefile ===
--- 
+++ 
@@ -19,16 +19,16 @@
 #THREAD_LIBS =
 
 #
-CC=cc 
+CC=gcc 
 
-BLAST_LIBS = -lncbitool -lncbiobj -lncbi $(NCBI_OTHERLIBS)
+BLAST_LIBS = -lblastapi -lncbitool -lblastcompadj -lncbiobj -lblast -lncbi $(NCBI_OTHERLIBS)
 # For standalone model
 ALL_LIBS = -lncbidesk -lvibgif $(BLAST_LIBS) $(THREAD_LIBS)
 # For NCBI Client-server model
 ALL_LIBS_CS = -lncbitxc2 -lncbiid1 -lnetblast -lnetcli $(ALL_LIBS)
 BL2_LIBS = $(BLAST_LIBS)
 # For Blast 2 sequences client/server
-BL2_LIBS_CS = -lncbiid1 -lnetcli $(BLAST_LIBS)
+BL2_LIBS_CS = -lncbiid1 -lnetcli $(BLAST_LIBS) -lblastcompadj
 
 BL2_DEFINE = -DBL2SEQ_STANDALONE

## ncbi-tools6 6.1.20120620

=== biostruc/pdbeast/Makefile ===
########################################################################
#       Generic command-line makefile for NCBI applications
#
#   This assumes the following variables are set in a file called "ncbi.mk"
#     which is included by this one. In this case it resides in a directory
#     set by the environment variable "NCBI"
#
#    NCBI_CC = default compiler to use
#    NCBI_CFLAGS1 = default compiler switches (not optimization)
#    NCBI_LDFLAGS1 = default compiler switches when linking (not optimization)
#    NCBI_OPTFLAG = default optimization (-O)
#    NCBI_INCDIR = default toolkit include paths
#    NCBI_LIBDIR = default toolkit library paths
#    NCBI_ALTLIB  = debugging toolkit library paths
#    NCBI_VIBFLAG = additional include paths/defines for Vibrant apps
#    NCBI_VIBLIBS  = additional libraries needed to link Vibrant apps
#    NCBI_OTHERLIBS = additional libraries needed to link the system
#
#   This enables platform independent makefiles for ncbi toolkit apps. You
#   can change any default behavior by setting the variable on the command
#   line.
#
#   Use gcc complier.   "make NCBI_CC=gcc" or "make CC=gcc"
#   Change optimization to debug
#                "make NCBI_OPTFLAG="-g" NCBI_LIBPATH=$NCBI_ALTLIB"
#                or
#                "make OPTFLAG="-g" LIBPATH=$NCBI_ALTLIB"
#
#   You can also change the behavior permanently in the makefile by changing
#    the assignment of the internal variable to the one from the include
#    file:
#
#   Use gcc compiler.
#    Change   CC=$(NCBI_CC)
#    To       CC=gcc
#    in the makefile itself
#
#   Make debugging version
#    OPTFLAG=-g
#    LIBPATH=$(NCBI_ALTDIR)
#
#   You need to specify the EXE and SRC symbols
#
#######################################################################
#
# default flags for compiling and loading
#
#######################################################################

include $(NCBI)/ncbi.mk

CC = $(NCBI_CC)
CFLAGS1 = $(NCBI_CFLAGS1)
LDFLAGS1 = $(NCBI_LDFLAGS1)
# OPTFLAG = $(NCBI_OPTFLAG)
OPTFLAG = -g
OTHERLIBS = $(NCBI_OTHERLIBS)
VIBLIBS= $(NCBI_VIBLIBS)
VIBFLAG= $(NCBI_VIBFLAG)
#NCBI_INCDIR = ../include
#NCBI_LIBDIR = ../lib
INCPATH = $(NCBI_INCDIR)
LIBPATH = $(NCBI_LIBDIR)
DEF =
##### put your source filename here:
SRC = 
##### put executable name here:
EXE = mmdborgcpy pdbeast tax_index orgmatch


CFLAGS = $(CFLAGS1) $(OPTFLAG) -I$(INCPATH) $(VIBFLAG) $(DEF)
LDFLAGS = -I$(INCPATH) $(OPTFLAG) -L$(LIBPATH) $(VIBFLAG) $(DEF)

LIB1 = -lncbi
LIB2 = -lncbiobj
LIB3 = -lncbicdr
LIB4 = -lvibrant
LIB5 = -lncbiacc
LIB6 = -lnetcli
LIB7 = -lnetentr
LIB8 = -lncbiNacc
LIB9 = -lncbiCacc
# LIB10 is reserved for NCSA socket library
LIB10 =
LIB11 = -lncbimla
LIB12 = -lncbitax
LIB13 = -lncbiid1
#LIB14 = -lncbibls0
LIB15 = -lnetcliE
LIB16 = -lnetcliS
LIB17 = -lnetcliES
LIB18 = -lncbibls1
LIB19 = -lncbispel
# LIB20 is for the NCBI desktop utilities
LIB20 = -lncbidesk
LIB21 = -lncbibls2
LIB22 = -lncbimmdb
LIB23 = -lncbitool
LIB24 = -lncbisugg
LIB25 = -lncbiwww
LIB26 = -lncbitax1
LIB27 = -lncbimsc1
LIB29 = -lncbitxc2
LIB30 = -lncbicn3d
LIB31 = -lvibnet
LIB32 = -lncbiwww2
LIB33 = -lblastapi
LIB34 = -lblast
LIB35 = -lblastcompadj

## To clean out the directory without removing make
##

## Implicit actions
##
## if need a .o, compile the .c
##

.c.o :
	$(CC) $(CFLAGS) $<

###############################################################################
##
## This is the makefile for the following products, used for MMDB processing:
##
##	getmuid2 - retrieves Medline ids and inserts them into (ASN1) biostrucs
##
##	getgid2 - retrieves sequence ids and inserts them into (ASN1) biostrucs
##
##	struc2seq - creates sequence entries from (ASN1) biostrucs already
##		containing Medline ids
##
##	makeset - creates a single binary file containing a list of all
##		sequence entries
##
##	pdbset - creates a singel binary file containing a set of biostrucs
##
###############################################################################

all : $(EXE)

pdbeast: interface.c pdbeast.c
	$(CC) -o pdbeast -DX11 -I./ -I/~/ncbi/build $(LDFLAGS) \
	interface.c pdbeast.c  \
	$(LIB29) $(LIB20) $(LIB33) $(LIB34) $(LIB23) $(LIB4) $(LIB22) $(LIB8) $(LIB7) $(LIB6) $(LIB3) \
 	$(LIB2) $(LIB1) $(LIB35) $(VIBLIBS) $(OTHERLIBS)

mmdborgcpy: mmdborgcpy.c
	$(CC) -o mmdborgcpy -DX11 -I./ -I/~/ncbi/build $(LDFLAGS) \
	mmdborgcpy.c \
	$(LIB29) $(LIB22) $(LIB8) $(LIB7) $(LIB6) $(LIB3) \
 	$(LIB2) $(LIB1) $(LIB35)  $(OTHERLIBS)

tax_index: tax_index.c
	$(CC) -o tax_index -DX11 -I./ -I/~/ncbi/build $(LDFLAGS) \
	tax_index.c  \
	$(LIB29) $(LIB22) $(LIB8) $(LIB7) $(LIB6) $(LIB3) \
		  $(LIB2) $(LIB1) $(LIB35) $(OTHERLIBS)

orgmatch: orgmatch.c
	$(CC) -o orgmatch -DX11 -I./ -I/~/ncbi/build $(LDFLAGS) orgmatch.c  \
	$(LIB29) $(LIB22) $(LIB8) $(LIB7) $(LIB6) $(LIB3) \
	$(LIB2) $(LIB1) $(LIB35)  $(OTHERLIBS)

=== network/wwwblast/Src/XML/Makefile ===
include $(NCBI)/ncbi.mk

CC = $(NCBI_CC) 
OTHERLIBS = $(NCBI_OTHERLIBS)
#OTHERLIBS = $(NCBI_OTHERLIBS_MT)
LIBPATH = $(NCBI_ALTLIB)
#LIBPATH = $(NCBI_LIBDIR)
OPTFLAGS = -g
#OPTFLAGS = $(NCBI_OPTFLAG)
INCPATH = $(NCBI_INCDIR)
ASNTOOL=$(NCBI)/bin/asntool
NCBI_ASNALL=/am/ncbiapdata/asn/asn.all

all: bxmlobj.c

# The present directory is included first to allow the Makefile to find
# the local netblap1.h
CFLAGS = $(CFLAGS1) $(OPTFLAGS) -I./ -I$(INCPATH) $(VIBFLAG) $(NEWASN2FF) -g 
LDFLAGS = -I./ -I$(INCPATH) $(OPTFLAGS) -L$(LIBPATH) $(VIBFLAG) $(NEWASN2FF) -g 

#bxmlobj.o: bxmlobj.c
#	$(NCBI_CC) $(NCBI_CFLAGS1) $(OPTFLAGS) -I. -I$(NCBI_INCDIR) bxmlobj.c

bxmlobj.c: $(NCBI_ASNALL) blstxml.asn
	$(ASNTOOL) -m blstxml.asn -M $(NCBI_ASNALL) -B bxmlobj -G -w100 -Z
	$(ASNTOOL) -m blstxml.asn -o blstxml.h -w 100 -Z
#	$(ASNTOOL) -m blstxml.asn -X NCBI_BlastOutput.mod
#	mv bxmlobj.c ..
#	mv blstxml.h ..
#	mv bxmlobj.h ..
clean:
	rm -f *.h *.o *~ *.c

## ncbi-tools6 6.1.20170106

=== biostruc/nrpdb/Makefile ===
#
# $Id: Makefile,v 1.1 2005/07/26 17:27:00 chenj Exp $
#
# Author: Jie Chen
# Build nrpdbsrv.cgi
#
# $Log: Makefile,v $
# Revision 1.1  2005/07/26 17:27:00  chenj
# Linux version
#
#
#
#
#


APP_PROJ = NrPDB

srcdir = /net/cis/export/home/web/public/htdocs/Structure/chenj/vast/NrPDB
include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Debug/build/Makefile.meta
#include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Release/build/Makefile.meta

=== debian/changelog ===
ncbi-tools6 (6.1.20170106-4) unstable; urgency=medium

  * debian/compat: Advance to Debhelper 11.
  * debian/control:
    - Mark *-data reshuffling with Breaks, not just Replaces. (Closes: #902364.)
    - Build-Depends: Advance to debhelper (>= 11~).
  * debian/copyright: Fix years (packaging through 2018, upstream through 2017).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 25 Jun 2018 21:36:10 -0400

ncbi-tools6 (6.1.20170106-3) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * Added autopkgtest for ncbi-tools-bin. 
    Closes: #879619

  [ Aaron M. Ucko ]
  * debian/{*.gif,ncbi2.css}: Add local copies of NCBI resources used by HTML
    docs.
  * debian/control:
    - Repoint Vcs-* at salsa.debian.org.
    - Standards-Version: 4.1.4 (already compliant).
    - Rules-Requires-Root: no (confirmed safe).
  * debian/{libncbi6,ncbi-tools-x11}.docs: Install resources from debian/ as
    needed.
  * debian/source/format: Set to 3.0 (quilt) to accommodate binary test data.
  * debian/source/include-binaries: List debian/tests/test-data/nc0305.aso.gz
    and (individually) debian/*.gif.
  * debian/source/options: single-debian-patch (tracking changes purely
    with git for now).
  * debian/source/patch-header: "Combined patches from git."
  * demo/{findspl,taxblast_main}.c: Call SOCK_SetupSSL (accidentally missed
    earlier).
  * doc/{dispatcher,firewall}.html: Patch to use (newly supplied) local
    resources, addressing a generic privacy breach caught by Lintian.
  * make/make{demo,net}.unx: Link findspl and taxblast against $(LIBTLS)
    and $(GNUTLS_LIBS).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 24 Jun 2018 12:06:15 -0400

ncbi-tools6 (6.1.20170106-2) unstable; urgency=medium

  * debian/control: Correctly version ncbi-tools-bin's Breaks/Replaces
    on blast2 over taxblast move.  (Closes: #854329.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 05 Feb 2017 21:40:38 -0500

ncbi-tools6 (6.1.20170106-1) unstable; urgency=medium

  * New upstream release (after all).
  * debian/*.symbols: Update accordingly.
  * doc/man/cleanasn.1: Update accordingly.
  * debian/copyright: Update years.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 09 Jan 2017 22:35:15 -0500

ncbi-tools6 (6.1.20160908-2) unstable; urgency=medium

  * Stop building the transitional blast2 package (taken over by ncbi-blast+)
    and retire its remaining vestiges (the bibliograpy and autopkgtest setup).
  * connect/ncbi_util.c: Fix a FTBFS on hurd-i386 by conditionally using a
    more appropriate header for PAGE_SIZE (<mach/vm_param.h>).
  * Reinstate taxblast (now part of ncbi-tools-bin, and correctly documented
    as a postprocessing tool), accidentally dropped with the rest of blast2.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 06 Dec 2016 18:37:19 -0500

ncbi-tools6 (6.1.20160908-1) unstable; urgency=medium

  [ Andreas Tille ]
  * (Final) new upstream release, incorporating most Debian changes, adding
    HTTPS support, and desupporting legacy BLAST.  (Closes: #846477, #821075.)
  * cme fix dpkg-control
  * drop -dbg packages since these will be created automatically
  * Fixed watch file (thanks to Eriberto <eriberto@eriberto.pro.br>)
  * DEP5

  [ Aaron M. Ucko ]
  * Reinstate direct upstream changes lost in merge.
  * Ensure that apps that could potentially hit the network can use HTTPS.
    (Don't bother with anything that only supports the old Entrez1 service.)
  * Allow Entrez2 over HTTPS by switching to the Entrez2s service, making
    HTTPS connections by default, and allowing HTTPS POST redirections from
    raw IP addresses (which NCBI's certificates don't cover).
  * Let GCC take care of setting __DATE__ and __TIME__ per SOURCE_DATE_EPOCH.
  * api/sqnutil3.c: Substitute strcpy for sprintf with no extra
    arguments, which our hardening flags disallow.
  * connect/ncbi_gnutls.c: Suppress strict version check.
  * debian/*.symbols: Update for new release.
  * debian/{blast2.*,control,rules}, make/makedemo.unx: Turn blast2 into an
    architecture-independent transitional package for ncbi-blast+-legacy.
    (Retire blastcl3, which is obsolete.)
  * debian/{compat,control}: Advance to Debhelper compat level 10.
  * debian/control: Drop unversioned B-D-I on dpkg-dev left behind by cme.
  * debian/{control,rules}:
    - Build against GNU TLS.
    - Retune ncbi-data/ncbi-rrna-data split.
  * debian/libncbi6(-dev).install, make/makeshlib.unx: Account for new
    libconnssl library.
  * debian/rules:
    - Drop override_dh_strip-arch target now that -dbg packages are gone.
    - Fix typo in name of override_dh_makeshlibs-arch target from #806084.
  * debian/{rules,.gitignore}: Stop generating legacy menu files for
    non-interactive tools (already retired in favor of XDG desktop files
    for true graphical applications). 
  * debian/rules, make/make{demo,net}.unx: Substitute -Wl,--as-needed
    for manual linkage cleanups.
  * demo/tbl2asn.c: Complain about date only if failing for other reasons.
    (Closes: #821075.)
  * doc/man/blastcl3.1: Fix a stray reference to retired programs.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 04 Dec 2016 21:33:55 -0500

ncbi-tools6 (6.1.20120620-12) unstable; urgency=medium

  * Team upload.
  * Autopkgtest added.

 -- Canberk Koç <canberkkoc@gmail.com>  Sat, 20 Aug 2016 10:20:38 +0300

ncbi-tools6 (6.1.20120620-11) unstable; urgency=medium

  * Team upload.
  * Add support for SOURCE_DATE_EPOCH, making packages building BLAST
    indexes reproducible (Closes: #834139)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 12 Aug 2016 20:29:37 +0000

ncbi-tools6 (6.1.20120620-10) unstable; urgency=medium

  * debian/rules: chmod +x private scripts in the targets that use them.
    (Doing so in override_dh_auto_build-arch broke indep-only builds.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Dec 2015 01:19:59 -0500

ncbi-tools6 (6.1.20120620-9) unstable; urgency=medium

  * debian/control: Split most of Build-Depends into Build-Depends-Arch.


=== debian/control ===
Source: ncbi-tools6
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Aaron M. Ucko <ucko@debian.org>
Section: libdevel
Priority: optional
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: icoutils,
                     imagemagick
Build-Depends-Arch: csh | c-shell,
               libglu1-mesa-dev | libglu-dev,
               libgnutls28-dev | gnutls-dev,
               libmotif-dev,
               libpcre3-dev,
               libpng-dev,
               libxmu-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-tools6
Vcs-Git: https://salsa.debian.org/med-team/ncbi-tools6.git
Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/
Rules-Requires-Root: no

Package: libncbi6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ncbi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: NCBI libraries for biology applications
 The NCBI Software Development Toolkit was developed for the production and
 distribution of GenBank, Entrez, BLAST, and related services by NCBI.  It
 allows you to read and write NCBI ASN.1 files, builds Blast or Entrez, etc.

Package: libncbi6-dev
Architecture: any
Multi-Arch: same
Depends: libncbi6 (= ${binary:Version}),
         ${misc:Depends}
Recommends: ncbi-tools-bin
Provides: ncbi-tools-dev
Description: NCBI libraries for biology applications (development files)
 This package supplies development versions of NCBI's non-graphical C
 libraries, along with the corresponding header files.

Package: ncbi-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Breaks: ncbi-rrna-data (<< 6.1.20160908)
Replaces: ncbi-rrna-data (<< 6.1.20160908)
Description: Platform-independent data for the NCBI toolkit
 This package contains support files needed by the NCBI toolkit on all
 platforms.

Package: ncbi-rrna-data
Architecture: all
Multi-Arch: foreign
Section: science
Depends: ncbi-data,
         ${misc:Depends}
Recommends: ncbi-blast+
Breaks: ncbi-data (<< 6.1.20160908)
Replaces: ncbi-data (<< 6.1.20160908)
Description: large rRNA BLAST databases distributed with the NCBI toolkit
 This package contains some ribosomal RNA BLAST databases distributed
 as part of the NCBI C Toolkit that are too large and specialized to
 include in ncbi-data.  Specifically, it contains the databases
 Combined16SrRNA, LSURef_93.fasta, LSU_nomito_nochloro_noplastid,
 SSURef_93.fasta, and SSU_nomito_nochloro_noplastid, along with alias
 files to facilitate searching some of them in conjunction with
 databases included in ncbi-data.

Package: ncbi-tools-bin
Architecture: any
Multi-Arch: foreign
Section: science
Depends: libncbi6 (<< ${source:Upstream-Version}.1),
         libncbi6 (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libvibrant6b,
          ncbi-blast+,
          ncbi-tools-x11
Breaks: blast2 (<< 1:2.2.26.20160908),
        libncbi6-dev (<< 6.1.20110713-3~)
Replaces: blast2 (<< 1:2.2.26.20160908),
          libncbi6-dev (<< 6.1.20110713-3~)
Description: NCBI libraries for biology applications (text-based utilities)
 This package includes various utilities distributed with the NCBI C SDK,
 including the development tools asntool and errhdr (formerly of
 libncbi6-dev).  None of the programs in this package require X; you can
 find the X-based utilities in the ncbi-tools-x11 package.  BLAST and
 related tools now come from a separate source base, corresponding to the
 ncbi-blast+ and ncbi-blast+-legacy packages.

Package: ncbi-tools-x11
Architecture: any
Multi-Arch: foreign
Section: science
Depends: libncbi6 (<< ${source:Upstream-Version}.1),
         libncbi6 (>= ${source:Upstream-Version}),
         libvibrant6b (<< ${source:Upstream-Version}.1),
         libvibrant6b (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ncbi-tools-bin
Description: NCBI libraries for biology applications (X-based utilities)
 This package includes some X-based utilities distributed with the
 NCBI C SDK: Cn3D, Network Entrez, Sequin, ddv, and udv.  These
 programs are not part of ncbi-tools-bin because they depend on
 several additional library packages.

Package: libvibrant6b
Architecture: any
Multi-Arch: same
Section: libs
Depends: libncbi6 (<< ${source:Upstream-Version}.1),
         libncbi6 (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libvibrant6,
           libvibrant6a
Replaces: libvibrant6,
          libvibrant6a
Description: NCBI libraries for graphic biology applications
 This is the library for those who just want to run Vibrant applications.
 It also includes a wrapper (vibrate) that allows many NCBI applications to
 provide a GUI for selecting options.

Package: libvibrant6-dev
Architecture: any
Multi-Arch: same
Depends: libglu1-mesa-dev | libglu-dev,
         libmotif-dev,
         libncbi6-dev (= ${binary:Version}),
         libvibrant6b (= ${binary:Version}),
         libxmu-dev,
         ${misc:Depends}
Description: NCBI libraries for graphic biology applications (development files)
 Vibrant allows you to develop portable (Motif, MS-Windows, Mac-OS) graphic
 biological applications.

=== debian/rules ===
#!/usr/bin/make -f
DEB_VERSION=$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
export NCBI_VERSION_FULL=$(DEB_VERSION)
export NCBI_VERSION=$(word 1, $(subst -, ,$(NCBI_VERSION_FULL)))
export NCBI_VERSION_MAJOR=$(word 1, $(subst ., ,$(NCBI_VERSION)))
export NCBI_VERSION_MINOR=$(NCBI_VERSION:$(NCBI_VERSION_MAJOR).%=%)
export NCBI_VERSION_DATE =$(word 3, $(subst ., ,$(NCBI_VERSION)))
export NCBI_VERSION_DEBREL=$(word 2, $(subst -, ,$(NCBI_VERSION_FULL)))

testversions:
	env | fgrep NCBI_VERSION

# Set these here, rather than using the csh hackage that passes for an
# upstream build system.  Mostly taken from ../platform/{ppc,}linux.ncbi.mk.
CC = gcc # -pipe
VIBFLAG = -DWIN_MOTIF
VIBLIBS = -lXm -lXmu -lXt -lX11 # -lXext # -lXp
OTHERLIBS = -lm
RANLIB = ranlib
MT_OTHERLIBS = -lpthread
THREAD_OBJ = ncbithr.o
NETENTREZVERSION = 2.02c2ASN1SPEC6

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS := $(shell dpkg-buildflags --get CFLAGS) -Wall \
          $(shell dpkg-buildflags --get CPPFLAGS)
ifeq ($(DEB_HOST_ARCH),alpha)
CFLAGS += -mieee
endif
CFLAGS_PIC = $(filter-out -fPIE,$(CFLAGS)) -fPIC
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS1 := $(CFLAGS) $(LDFLAGS) -Wl,--as-needed

OGL_TARGETS = Cn3D
OGL_LIBVARS = LIB400=libvibrantOGL.a LIB3000=libncbicn3dOGL.a
OGLLIBS = -lGLU -lGL

PNG_INCLUDE = -D_PNG
PNG_LIBS = -lpng # -lz

USESHLIB = NCBI_LINKINGLIBDIR="../shlib"
MAKESHLIB = $(USESHLIB) NCBI_SHLIBS=shlib
# Controls how shared libraries are built; appropriate for ELF w/GNU tools.

export NCBI_LBSM_SRC=ncbi_lbsmd_stub.c
export NCBI_LBSM_OBJ=ncbi_lbsmd_stub.o

ifeq ($(LD_LIBRARY_PATH),)
export LD_LIBRARY_PATH:=$(CURDIR)/shlib
else
export LD_LIBRARY_PATH:=$(CURDIR)/shlib:$(LD_LIBRARY_PATH)
endif

VIB = Psequin sbtedit udv ddv taxblast idfetch asn2gb tbl2asn gene2xml \
      entrez2 gbseqget asn2all asn2asn asn2fsa asn2xml asndisc asnmacro \
      asnval cleanasn insdseqget nps2gps spidey trna2sap trna2tbl \
      $(OGL_TARGETS)

#OTHERS = others
OTHERS = libncbimla.a libnetblast.a libncbitxc2.a libncbiid1.a shlib

COMMON_FLAGS = LCL=lnx CC="$(CC)" LDFLAGS1="$(LDFLAGS1)" RAN="$(RANLIB)"
COMMON_FLAGS += OTHERLIBS="$(OTHERLIBS)" VIBLIBS="$(VIBLIBS)"
COMMON_FLAGS += VIBFLAG="$(VIBFLAG)" GNUTLS_INCLUDE=-DHAVE_LIBGNUTLS

ICONS = debian/asntool.xpm debian/ncbilogo.xpm

MAKE_IN_BUILD = $(MAKE) -C build

%:
	dh $@

# Explicit rule to avoid an infinite loop
build:
	dh $@

override_dh_auto_build-arch:
	cd build && ln -s ../make/*.unx .
	ln -s ../make/ln-if-absent build
	mv build/makeall.unx build/makefile
	$(MAKE_IN_BUILD) all $(COMMON_FLAGS) $(USESHLIB) \
	    CFLAGS1="-c $(CFLAGS_PIC) $(PNG_INCLUDE)" \
	    LIB4=libvibrant.a LIB20=libncbidesk.a LIB28=libvibgif.a \
	    LIB30=libncbicn3d.a LIB45=libddvlib.a $(OGL_LIBVARS)
	$(MAKE_IN_BUILD) -f makenet.unx $(COMMON_FLAGS) $(USESHLIB) \
	    CFLAGS1="-c $(CFLAGS_PIC)" \
	    LDFLAGS="$(filter-out -fPIE -pie,$(LDFLAGS))" \
	    NETENTREZVERSION="$(NETENTREZVERSION)" \
	    BLIB31=libvibnet.a OGLLIBS="$(OGLLIBS) $(PNG_LIBS)" all $(OTHERS)
# Clear out the PIC objects
	$(MAKE_IN_BUILD) clean

	$(MAKE_IN_BUILD) all $(COMMON_FLAGS) $(USESHLIB) \
	    CFLAGS1="-c $(CFLAGS) $(PNG_INCLUDE)" \
	    LIB4=libvibrant.a LIB20=libncbidesk.a LIB28=libvibgif.a \
	    LIB30=libncbicn3d.a LIB45=libddvlib.a $(OGL_LIBVARS)
# Build demos without vibrant to avoid unnecessary dependencies;
# users who want the Vibrant UI can use vibrate(1).
	$(MAKE_IN_BUILD) -f makedemo.unx $(COMMON_FLAGS) $(USESHLIB) \
	    CFLAGS1="-c $(CFLAGS)" VIBLIBS= VIBFLAG= LIB50=-lpcre
# Don't bother passing OGLLIBS or VIBLIBS, which apps don't use directly.
	$(MAKE_IN_BUILD) -f makenet.unx $(COMMON_FLAGS) $(USESHLIB) \
	    CFLAGS1="-c $(CFLAGS)" THREAD_OBJ="$(THREAD_OBJ)" \
	    THREAD_OTHERLIBS="$(MT_OTHERLIBS)" \
	    NETENTREZVERSION="$(NETENTREZVERSION)" BLIB31=libvibnet.a \
	    OGLLIBS= VIBLIBS= VIB="$(VIB)"
#	date > VERSION

override_dh_auto_clean:
	-rm -rf build/* bin/* include/* lib/* shlib
	mkdir -p build bin include lib
	-rm -f debian/*.menu $(ICONS)
	chmod -x debian/makemenu debian/installman

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
destlibdir=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
icon_in = link/mswin/ncbilogo.ico
hi = debian/ncbi-data/usr/share/icons/hicolor

override_dh_auto_install-arch:
	install -d $(destlibdir)
	install -m 644 lib/* shlib/*.so.$(NCBI_VERSION) $(destlibdir)
	for x in ncbiacc ncbiCacc netentr; do \
	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION) && \
	    ln -s libncbiNacc.so.$(NCBI_VERSION_MAJOR) \
	        $(destlibdir)/lib$$x.so.$(NCBI_VERSION_MAJOR) && \
	    ln -s libncbiNacc.so $(destlibdir)/lib$$x.so; \
	done
	for x in ncbicn3d vibrant; do \
	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION) && \
	    ln -s lib$${x}OGL.so.$(NCBI_VERSION_MAJOR) \
	        $(destlibdir)/lib$$x.so.$(NCBI_VERSION_MAJOR) && \
	    ln -s lib$${x}OGL.so $(destlibdir)/lib$$x.so; \
	done
	rm -f $(destlibdir)/libregexp.*
	cd $(destlibdir) && \
	for f in *.so.$(NCBI_VERSION); do \
	    base=`basename $$f .so.$(NCBI_VERSION)` && \
	    ln -s $$f $$base.so.$(NCBI_VERSION_MAJOR) && \
	    ln -s $$f $$base.so; \
	done

	install -d debian/tmp/usr/include/ncbi
	cp -LRp include/* debian/tmp/usr/include/ncbi
	cd debian/tmp/usr/include/ncbi && \
            rm -f FSpCompat.h FullPath.h More*.h Optimization*.h pcre*.h
	find debian/tmp/usr/include -type f | xargs chmod 644

	install -d debian/tmp/usr/bin
	install `find build -type f -perm /111 -print` debian/tmp/usr/bin
	rm -f debian/tmp/usr/bin/*test*
	rm -f debian/tmp/usr/bin/*demo*
# Useless as a binary, and seems to be broken anyway
	rm -f debian/tmp/usr/bin/dosimple
# Seems to be a functional version of sort(1) with no special features
# (but lacking some features of GNU sort)
	rm -f debian/tmp/usr/bin/ncbisort
# Obsolete
	rm -f debian/tmp/usr/bin/cdscan
	rm -f debian/tmp/usr/bin/entrcmd
#	install -d debian/tmp/usr/lib/cgi-bin
	mv debian/tmp/usr/bin/Cn3D debian/tmp/usr/bin/Cn3D-3.0
#	mv debian/tmp/usr/bin/fmerge debian/tmp/usr/bin/fastamerge

override_dh_auto_install-indep:
	convert link/mswin/asntool.ico debian/asntool.xpm
	icotool -x -w 32 -b 32 -o - $(icon_in) | \
	    convert png:- debian/ncbilogo.xpm
	install -d debian/ncbi-data/etc/ncbi
	install -m 644 debian/.*rc debian/ncbi-data/etc/ncbi
	install -d debian/ncbi-data/usr/bin
	install debian/vibrate debian/ncbi-data/usr/bin
	install -d debian/ncbi-data/usr/share/ncbi/data
	install -m 644 data/* debian/ncbi-data/usr/share/ncbi/data
	install -d debian/ncbi-rrna-data/usr/share/ncbi/data
	mv debian/ncbi-data/usr/share/ncbi/data/*_[n9]*.n?? \
           debian/ncbi-data/usr/share/ncbi/data/rRNA*.nal \
           debian/ncbi-data/usr/share/ncbi/data/Combined16SrRNA.n?? \
	    debian/ncbi-rrna-data/usr/share/ncbi/data/
	install -d debian/ncbi-data/usr/share/pixmaps
	install -m 644 $(ICONS) debian/ncbi-data/usr/share/pixmaps
	for w in 16 32 48 256; do \
	    d=$${w}x$${w} && \
	    install -d $(hi)/$$d && \
	    icotool -x -w $$w -b 32 -o $(hi)/$$d/ncbilogo.png $(icon_in) \
	    || exit 1 ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -k README

override_dh_installmenu-arch:
	chmod +x debian/makemenu
	debian/makemenu debian/ncbi-tools-x11.install
#	debian/makemenu -v debian/ncbi-tools-bin.install
	dh_installmenu

override_dh_installdocs-arch:
	dh_installdocs
	install -m 644 config/README \
	    debian/libncbi6/usr/share/doc/libncbi6/README.config
	install -m 644 network/nsclilib/readme \
	    debian/libncbi6/usr/share/doc/libncbi6/README.net-cfg
	install -m 644 doc/fa2htgs/README \
	    debian/ncbi-tools-bin/usr/share/doc/ncbi-tools-bin/README.fa2htgs
	install -m 644 sequin/README \
	    debian/ncbi-tools-x11/usr/share/doc/ncbi-tools-x11/README.sequin

override_dh_installman:
	dh_link # otherwise runs too late to influence debian/installman
	chmod +x debian/installman
ifneq "" "$(filter ncbi-tools-bin, $(shell dh_listpackages))"
	debian/installman ncbi-tools-bin

=== debian/watch ===
version=4
opts="passive,uversionmangle=s|^|6.1.|,downloadurlmangle=s/$/ncbi.tar.gz/" \
http://ftp.ncbi.nih.gov/toolbox/ncbi_tools/old/ (\d{8}[a-z]*)/

## ncbi-tools6 6.1.20170106%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,25 @@
 #!/usr/bin/make -f
-DEB_VERSION=$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
+include /usr/share/dpkg/pkg-info.mk
 export NCBI_VERSION_FULL=$(DEB_VERSION)
-export NCBI_VERSION=$(word 1, $(subst -, ,$(NCBI_VERSION_FULL)))
+export NCBI_VERSION=$(DEB_VERSION_EPOCH_UPSTREAM)
 export NCBI_VERSION_MAJOR=$(word 1, $(subst ., ,$(NCBI_VERSION)))
 export NCBI_VERSION_MINOR=$(NCBI_VERSION:$(NCBI_VERSION_MAJOR).%=%)
 export NCBI_VERSION_DATE =$(word 3, $(subst ., ,$(NCBI_VERSION)))
 export NCBI_VERSION_DEBREL=$(word 2, $(subst -, ,$(NCBI_VERSION_FULL)))
+export NCBI_VERSION_SHLIB=$(NCBI_VERSION:%+dfsg1=%)
+
+export CN3D_VERSION=$(shell sed -ne 's/.*Version \([1-9][0-9.]*\).*/\1/p' \
+                      cn3d/cn3dwin.c | head -n1)
+export CN3D_VERSION_DATED=$(CN3D_VERSION).$(NCBI_VERSION_DATE)
+export CN3D_VERSION_FULL=$(CN3D_VERSION_DATED)-$(NCBI_VERSION_DEBREL)
 
 testversions:
 	env | fgrep NCBI_VERSION
+	env | fgrep CN3D_VERSION
 
 # Set these here, rather than using the csh hackage that passes for an
 # upstream build system.  Mostly taken from ../platform/{ppc,}linux.ncbi.mk.
-CC = gcc # -pipe
+include /usr/share/dpkg/buildtools.mk
 VIBFLAG = -DWIN_MOTIF
 VIBLIBS = -lXm -lXmu -lXt -lX11 # -lXext # -lXp
 OTHERLIBS = -lm
@@ -30,7 +37,7 @@
 endif
 CFLAGS_PIC = $(filter-out -fPIE,$(CFLAGS)) -fPIC
 LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
-LDFLAGS1 := $(CFLAGS) $(LDFLAGS) -Wl,--as-needed
+LDFLAGS1 := $(CFLAGS) $(LDFLAGS) -Wl,--as-needed -Wl,-rpath-link,../shlib
 
 OGL_TARGETS = Cn3D
 OGL_LIBVARS = LIB400=libvibrantOGL.a LIB3000=libncbicn3dOGL.a
@@ -45,12 +52,6 @@
 
 export NCBI_LBSM_SRC=ncbi_lbsmd_stub.c
 export NCBI_LBSM_OBJ=ncbi_lbsmd_stub.o
-
-ifeq ($(LD_LIBRARY_PATH),)
-export LD_LIBRARY_PATH:=$(CURDIR)/shlib
-else
-export LD_LIBRARY_PATH:=$(CURDIR)/shlib:$(LD_LIBRARY_PATH)
-endif
 
 VIB = Psequin sbtedit udv ddv taxblast idfetch asn2gb tbl2asn gene2xml \
       entrez2 gbseqget asn2all asn2asn asn2fsa asn2xml asndisc asnmacro \
@@ -120,23 +121,23 @@
 
 override_dh_auto_install-arch:
 	install -d $(destlibdir)
-	install -m 644 lib/* shlib/*.so.$(NCBI_VERSION) $(destlibdir)
+	install -m 644 lib/* shlib/*.so.$(NCBI_VERSION_SHLIB) $(destlibdir)
 	for x in ncbiacc ncbiCacc netentr; do \
-	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION) && \
+	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION_SHLIB) && \
 	    ln -s libncbiNacc.so.$(NCBI_VERSION_MAJOR) \
 	        $(destlibdir)/lib$$x.so.$(NCBI_VERSION_MAJOR) && \
 	    ln -s libncbiNacc.so $(destlibdir)/lib$$x.so; \
 	done
 	for x in ncbicn3d vibrant; do \
-	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION) && \
+	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION_SHLIB) && \
 	    ln -s lib$${x}OGL.so.$(NCBI_VERSION_MAJOR) \
 	        $(destlibdir)/lib$$x.so.$(NCBI_VERSION_MAJOR) && \
 	    ln -s lib$${x}OGL.so $(destlibdir)/lib$$x.so; \
 	done
 	rm -f $(destlibdir)/libregexp.*
 	cd $(destlibdir) && \
-	for f in *.so.$(NCBI_VERSION); do \
-	    base=`basename $$f .so.$(NCBI_VERSION)` && \
+	for f in *.so.$(NCBI_VERSION_SHLIB); do \
+	    base=`basename $$f .so.$(NCBI_VERSION_SHLIB)` && \
 	    ln -s $$f $$base.so.$(NCBI_VERSION_MAJOR) && \
 	    ln -s $$f $$base.so; \
 	done
@@ -192,6 +193,7 @@
 
 override_dh_installmenu-arch:
 	chmod +x debian/makemenu
+	debian/makemenu debian/ncbi-cn3d.install
 	debian/makemenu debian/ncbi-tools-x11.install
 #	debian/makemenu -v debian/ncbi-tools-bin.install
 	dh_installmenu
@@ -205,10 +207,3 @@
 	install -m 644 doc/fa2htgs/README \
 	    debian/ncbi-tools-bin/usr/share/doc/ncbi-tools-bin/README.fa2htgs
 	install -m 644 sequin/README \
-	    debian/ncbi-tools-x11/usr/share/doc/ncbi-tools-x11/README.sequin
-
-override_dh_installman:
-	dh_link # otherwise runs too late to influence debian/installman
-	chmod +x debian/installman
-ifneq "" "$(filter ncbi-tools-bin, $(shell dh_listpackages))"
-	debian/installman ncbi-tools-bin
